30narzędzi
Twój agent AI wchodzi do twojej strefy DNS, nie do rachunku.
Poznaj MCP Suite
DNS automation
v1.6.2
Download OpenAPI
Update DNS record
Update a specific Resource Record (rrid). This is useful for modifying the record’s name or type, or when managing multiple records with the same name and type combination.
PATCH
/dns/rr/{rrid}
ResourceRecordsByID

Authentication

x-api-keyapplication/json

Parameters

Name
Type
Format
Required
Description
rrid
path
number
-
Required
Resource Record ID

Request body

application/jsonRequired
Data object for the record
recordRequest
recordRequest
{
  "type": "A",
  "name": "www",
  "data": "12.12.12.12"
}

Fields

Name
Type
Format
Required
Description
type
A
string
-
Required
-
name
string
-
Required
Fully Qualified Domain Name (FQDN) or subdomain. You can use the `@` symbol to represent your apex domain (e.g., example.com). Wildcards are supported.
ttl
integer
-
Optional
Time To Live in seconds (60-86400)
annotation
string
-
Optional
A custom note for this particular record.
data
string
-
Required
-

Request example

PATCH
curl --request PATCH \
  --url 'https://api.regfish.com/dns/rr/1' \
  --header 'x-api-key: YOUR_API_KEY' \
  --header 'content-type: application/json' \
  --data '{
  "type": "A",
  "name": "www",
  "data": "12.12.12.12"
}'

Responses

200
The updated record
application/jsonrecordResponse
Response example 200
{
  "success": true,
  "code": 0,
  "response": {
    "type": "A",
    "name": "www.example.com.",
    "data": "12.12.12.12",
    "id": 1,
    "auto": true,
    "active": true,
    "ts_created": 1,
    "ts_updated": 1
  }
}
400
Invalid request
application/jsonError
Response example 400
{
  "success": false,
  "message": "Invalid request",
  "error": "Invalid request"
}
401
Unauthorized
application/jsonError
Response example 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
DNS record not found
application/jsonError
Response example 404
{
  "success": false,
  "message": "DNS record not found",
  "error": "DNS record not found"
}
417
DNS record update violates a zone constraint
application/jsonError
Response example 417
{
  "success": false,
  "message": "DNS record update violates a zone constraint",
  "error": "DNS record update violates a zone constraint"
}
429
Rate limit for ACME platform credentials (scope `acme-dns-challenge`): calls per minute, and distinct customers per day. Ordinary customer keys never receive this status on this endpoint.
application/jsonError
Response example 429
{
  "success": false,
  "message": "Rate limit for ACME platform credentials (scope `acme-dns-challenge`): calls per minute, and distinct customers per day. Ordinary customer keys never receive this status on this endpoint.",
  "error": "Rate limit for ACME platform credentials (scope `acme-dns-challenge`): calls per minute, and distinct customers per day. Ordinary customer keys never receive this status on this endpoint."
}
500
Unexpected error
application/jsonError
Response example 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
Community

Zostań częścią społeczności

regfish DNS API to świetne rozwiązanie dla programistów, którzy chcą zautomatyzować domeny i strefy DNS. Zostań częścią społeczności i skorzystaj z automatyzacji DNS. API DNS jest dostępne bezpłatnie dla każdego klienta regfish.